Uploaded image for project: 'Artifactory Binary Repository'
  1. Artifactory Binary Repository
  2. RTFACT-20170

Artifactory Docker repo breaks with containerd 1.3.0-rc2

    XMLWordPrintable

    Details

    • Severity:
      Critical
    • Requirement Status:

      UNCOVERED

      Description

      Salve,

      today I was preparing for a systems upgrade of our Kubernetes "dev" cluster, and
      as a part of which several component upgrades were performed, among which I
      upgraded "containerd", a core component of Docker, to version 1.3.0-rc2.

      It turns out that we cannot pull Docker images from Artifactory with containerd
      >= 1.3.0 :

         # ctr images pull k8s.artifactory.gfsrv.net/metrics-server:v0.3.4

         ctr: failed to resolve reference "k8s.artifactory.gfsrv.net/metrics-
         server:v0.3.4": no scope specified for token auth challenge

      I found an open issue on the issue tracker, and they say that they follow the
      specification and the repositories need fixing:

      https://github.com/containerd/containerd/issues/3556

      Please forward this information to you develpers, this problem will become
      relevant very soon, when containerd 1.3.0 is released.

        Attachments

          Issue Links

            Forms

              Activity

                  People

                  Assignee:
                  andreik Andrei Komarov
                  Reporter:
                  towolf Tobias Wolf
                  Votes:
                  15 Vote for this issue
                  Watchers:
                  22 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved:

                      PagerDuty